Subject: sender authentication

From: Justin Chapweske <[email-masked]>
Date: Thu, 11 Oct 2001 22:07:20 -0500

From section 4.2. (Receiver Operation) from LCT BB:

"If sender authentication information is present in an LCT packet header,
it MUST be used as specified in Section 3.3. If a receiver is unable to
implement the authentication mechanism used by the session, it MUST NOT
join the session."

This seems a bit strict to me.  For Onion Networks' applications we use 
various cryptographic checksum constructs communicated out of band to 
perform file integrity checking.  We don't care who the sender of the 
data is, we only care that we get the right data.  I would like to be 
able to interoperate with other implementations w/o ascribing to their 
same authentication mechanisms.

Thanks,

--
Justin Chapweske, Onion Networks
http://onionnetworks.com/